package com.mortals.xhx.base.system.gentable.dao;


import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.base.system.gentable.model.GentableColumnEntity;

import java.util.List;

/**
* <p>Title: 代码生成业务表字段</p>
* <p>Description:  GentableColumnDao DAO接口 </p>
* @author
* @version 1.0.0
*/

public interface  GentableColumnDao extends ICRUDDao<GentableColumnEntity,Long> {


    /**
     * 根据表名称查询列信息
     *
     * @param tableName 表名称
     * @return 列信息
     */
    List<GentableColumnEntity> selectDbTableColumnsByName(String tableName);
}
