package com.mortals.xhx.base.system.gentable.dao;


import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.ParamDto;
import com.mortals.xhx.base.system.gentable.model.GentableEntity;

import java.util.List;

/**
* <p>Title: 代码生成业务表</p>
* <p>Description:  GentableDao DAO接口 </p>
* @author
* @version 1.0.0
*/

public interface  GentableDao extends ICRUDDao<GentableEntity,Long> {
    /**
     * 查询数据库表
     * @param paramDto
     * @return
     */
    List<GentableEntity> selectDbTableList(ParamDto paramDto);

    /**
     * 查询所有表信息
     *
     * @return 表信息集合
     */
     List<GentableEntity> selectGenTableAll(Long appId);

    /**
     * 查询数据库表
     * @param tableNames
     * @return
     */
    List<GentableEntity> selectDbTableListByNames(String[] tableNames);


    void createTable(String tableSql);
}
