package com.mortals.xhx.base.system.gentable.service.impl;

import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.base.system.gentable.dao.GentableColumnDao;
import com.mortals.xhx.base.system.gentable.model.GentableColumnEntity;
import com.mortals.xhx.base.system.gentable.service.GentableColumnService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>Title: 代码生成业务表字段</p>
 * <p>Description: GentableColumnService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 *
 * @version 1.0.0
 */
@Service("gentableColumnService")
public class GentableColumnServiceImpl extends AbstractCRUDServiceImpl<GentableColumnDao, GentableColumnEntity, Long> implements GentableColumnService {

    @Override
    public List<GentableColumnEntity> selectDbTableColumnsByName(String tableName) {
        return this.dao.selectDbTableColumnsByName(tableName);
    }
}