package com.mortals.xhx.module.demotree.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.demotree.dao.DemotreeDao;
import com.mortals.xhx.module.demotree.model.DemotreeEntity;
import java.util.Date;
import java.util.List;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
/**
* 树信息DaoImpl DAO接口
*
* @author zxfei
* @date 2021-11-26
*/
@Repository("demotreeDao")
public class DemotreeDaoImpl extends BaseCRUDDaoMybatis<DemotreeEntity,Long> implements DemotreeDao {


    @Override
    public List<DemotreeEntity> selectChildrenDemotreeById(String demotreeId) {
        return getSqlSession().selectList(getSqlId("selectChildrenDemotreeById"), demotreeId);
    }

}
