package com.mortals.xhx.module.demotree.web;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.demotree.model.DemotreeEntity;
import com.mortals.xhx.module.demotree.service.DemotreeService;
import java.util.Map;
/**
* DemotreeController
*
* 树信息 控制器
*
* @author zxfei
* @date 2021-11-26
*/
@RestController
@RequestMapping("demotree")
public class DemotreeController extends BaseCRUDJsonMappingController<DemotreeService,DemotreeForm,DemotreeEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DemotreeController(){
        super.setFormClass(DemotreeForm.class);
        super.setModuleDesc( "树信息");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DemotreeForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "status", paramService.getParamByFirstOrganize("status"));
        super.init(request, response, form, model, context);
    }
}