package com.mortals.xhx.base.system.gentable.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.base.system.gentable.dao.GentableColumnDao;
import com.mortals.xhx.base.system.gentable.model.GentableColumnEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* <p>Title: 代码生成业务表字段</p>
* <p>Description: GentableColumnDaoImpl DAO接口 </p>
* @author
* @version 1.0.0
*/
@Repository("gentableColumnDao")
public class GentableColumnDaoImpl extends BaseCRUDDaoMybatis<GentableColumnEntity,Long> implements GentableColumnDao {
    @Override
    public GentableColumnEntity get(Long id) {
        return super.get(id);
    }

    @Override
    public List<GentableColumnEntity> selectDbTableColumnsByName(String tableName) {
        return getSqlSession().selectList(getSqlId("selectDbTableColumnsByName"), tableName);
    }
}
