package com.mortals.xhx.base.system.gentable.service;


import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.base.system.gentable.dao.GentableColumnDao;
import com.mortals.xhx.base.system.gentable.model.GentableColumnEntity;

import java.util.List;

/**
* <p>Title: 代码生成业务表字段</p>
* <p>Description: GentableColumnService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface GentableColumnService extends ICRUDService<GentableColumnEntity,Long> {


    GentableColumnDao getDao();

    /**
     * 根据表名称查询列信息
     *
     * @param tableName 表名称
     * @return 列信息
     */
     List<GentableColumnEntity> selectDbTableColumnsByName(String tableName);
}