###登录
POST {{baseUrl}}/login/login
Content-Type: application/json

{
"loginName":"admin",
"password":"admin",
"securityCode":"8888"
}

> {%
client.global.set("SmsSet_id", JSON.parse(response.body).data.id);
client.global.set("authToken", JSON.parse(response.body).data.token);
%}

###${functionName}列表
POST {{baseUrl}}/${RequestMapping}/list
Content-Type: application/json

{
<#list columns as column>
    <#if column.isQuery == 1>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column)}"</#assign>
        <#else>
            <#assign fakeValue>${column.randomStr(column)}</#assign>
        </#if>
    "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
    "page":1,
    "size":10
}


###${functionName}更新与保存
POST {{baseUrl}}/${RequestMapping}/save
Authorization: {{authToken}}
Content-Type: application/json

{
<#list columns as column>
    <#if !column.isSuperColumn(column.javaField)>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column)}"</#assign>
        <#else>
            <#assign fakeValue>${column.randomStr(column)}</#assign>
        </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
}

> {%
client.global.set("${ClassName}_id", JSON.parse(response.body).data.id);
%}

###${functionName}查看
GET {{baseUrl}}/${RequestMapping}/info?id=1

###${functionName}编辑
GET {{baseUrl}}/${RequestMapping}/edit?id=1
Accept: application/json


###${functionName}删除
GET {{baseUrl}}/${RequestMapping}/delete?id=1
Authorization: {{authToken}}
Accept: application/json




