package ${packageName}.web;

<#if pkColumn??&&pkColumn.javaType=="String" >
    <#assign Form = "BaseCRUDFormStr">
<#elseif pkColumn??&&pkColumn.javaType=="Integer">
    <#assign Form = "BaseCRUDFormInt">
<#elseif pkColumn??&&pkColumn.javaType=="Long">
    <#assign Form = "BaseCRUDFormLong">
<#else>
    <#assign Form = "BaseCRUDFormLong">
</#if>

import com.mortals.framework.web.${Form};
import ${packageName}.model.${ClassName}Entity;
import ${packageName}.model.${ClassName}Query;

/**
* ${ClassName}
*
* ${functionName} Form
*
* @author ${author}
* @date ${datetime}
*/
public class ${ClassName}Form extends ${Form}<${ClassName}Entity> {
    private ${ClassName}Entity entity = new ${ClassName}Entity();
    private ${ClassName}Query query = new ${ClassName}Query();
    public ${ClassName}Form(){
    }

    @Override
    public ${ClassName}Entity getEntity() {
        return entity;
    }

    public void set${ClassName}(${ClassName}Entity entity) {
        this.entity = entity;
    }

    @Override
    public ${ClassName}Query getQuery() {
        return query;
    }

    public void setQuery(${ClassName}Query query) {
        this.query = query;
    }
}